# Contributing

Please note that this project is released with a [Code of Conduct](https://github.com/notable/notable/blob/master/CODE_OF_CONDUCT.md). By participating in this project you agree to abide by its terms.

## How can I contribute?

### Submit an issue

Submitting an issue, be it a bug report or a feature request, is one of the best ways to contribute to this project. Checking if everything works in your system and if the [latest commits](https://github.com/notable/notable/commits/master) work properly for you are both good ways to find bugs.

Please search existing issues to avoid creating duplicates.

### Improve issues

Some issues are created with missing information ([`needs more info`](https://github.com/notable/notable/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22+label%3A%22needs+more+info%22)), are not reproducible, or are plain duplicates. Help us finding reproducible steps and closing duplicates.

### Comment on issues

We are always looking for more opinions, leaving a comment in the issue tracker is a good opportunity to influence the future direction of Notable.

We also consider the number of ":+1:" an issue has when deciding if we are going to work on it in the [Next milestone](https://github.com/notable/notable/milestone/1) or not, so be sure to add your ":+1:" to the issues you're most interested in.

### Join the subreddit

We have a [subreddit](https://www.reddit.com/r/notable). Feel free to join us there, discussions not strictly related to the issue tracker are done there.

### Join the Patreon

At least until Notable becomes self-sustaining I plan to maintain a [Patreon page](https://www.patreon.com/fabiospampinato), feel free to support me there.

### Submit a pull request

Although newer versions of the app are no longer open-source, you can still fork some older versions of the code and modify it, you might want to do that to experiment with radical new ideas. Read more about this [here](https://github.com/notable/notable/blob/master/SOURCE_CODE.md).
